Package: java.time

## [Java] Class OffsetDateTime

- java.time.OffsetDateTime

-     public class OffsetDateTime
      extends Object

  GDK enhancements for OffsetDateTime.

  displayName:
    OffsetDateTime
  receiverFqcn:
    java.time.OffsetDateTime

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public OffsetDateTime` | `clearTime()` Returns an OffsetDateTime with the time portion cleared.
    `` | `public String` | `format(String pattern)` Formats this date/time with the provided DateTimeFormatter pattern.
    `` | `public String` | `format(FormatStyle dateTimeStyle)` Formats this date/time in the provided, localized FormatStyle.
    `` | `public String` | `getDateString()` Formats this date/time with the DateTimeFormatter.ISO_OFFSET_DATE formatter.
    `` | `public String` | `getDateTimeString()` Formats this date/time with the DateTimeFormatter.ISO_OFFSET_DATE_TIME formatter.
    `` | `public String` | `getTimeString()` Formats this date/time with the DateTimeFormatter.ISO_OFFSET_TIME formatter.
    `` | `public OffsetDateTime` | `minus(long seconds)` Returns an OffsetDateTime that is `seconds` seconds before this date/time.
    `` | `public OffsetDateTime` | `next()` Returns an OffsetDateTime one second after this date/time.
    `` | `public static OffsetDateTime` | `parse(OffsetDateTime type, CharSequence text, String pattern)` Parse text into an OffsetDateTime using the provided pattern.
    `` | `public OffsetDateTime` | `plus(long seconds)` Returns an OffsetDateTime that is `seconds` seconds after this date/time.
    `` | `public OffsetDateTime` | `previous()` Returns an OffsetDateTime one second before this date/time.
    `` | `public Calendar` | `toCalendar()` Returns a generally equivalent instance of Calendar.
    `` | `public Date` | `toDate()` Returns a generally equivalent instance of Date.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `addShutdownHook, any, any, asBoolean, asType, clamp, clamp, collect, collect, collect, dump, each, eachMatch, eachMatch, eachWithIndex, every, every, find, find, findAll, findAll, findIndexOf, findIndexOf, findIndexValues, findIndexValues, findLastIndexOf, findLastIndexOf, findResult, findResult, findResult, findResult, getAt, getMetaClass, getMetaPropertyValues, getProperties, grep, grep, hasProperty, identity, inject, inject, inject, inject, inspect, invokeMethod, is, isCase, isNotCase, iterator, metaClass, print, print, printf, printf, println, println, println, putAt, respondsTo, respondsTo, setMetaClass, sleep, sleep, split, sprintf, sprintf, stream, takeIf, tap, toString, use, use, use, with, with, withCloseable, withCloseable, withMethodClosure, withStream, withStream, withTraits`

- - ### Method Detail

    - #### public OffsetDateTime clearTime()

      Returns an OffsetDateTime with the time portion cleared.

      Returns:
        an OffsetDateTime
      Since:
        2.5.0

    - #### public String format(String pattern)

      Formats this date/time with the provided DateTimeFormatter pattern.

      Parameters:
        `pattern` - the formatting pattern
      Returns:
        a formatted String
      See Also:
        DateTimeFormatter
      Since:
        2.5.0

    - #### public String format(FormatStyle dateTimeStyle)

      Formats this date/time in the provided, localized FormatStyle.

      Parameters:
        `dateTimeStyle` - the FormatStyle
      Returns:
        a formatted String
      See Also:
        DateTimeFormatter
      Since:
        2.5.0

    - #### public String getDateString()

      Formats this date/time with the DateTimeFormatter.ISO_OFFSET_DATE formatter.

      Returns:
        a formatted String
      See Also:
        DateTimeFormatter
      Since:
        2.5.0

    - #### public String getDateTimeString()

      Formats this date/time with the DateTimeFormatter.ISO_OFFSET_DATE_TIME formatter.

      Returns:
        a formatted String
      See Also:
        DateTimeFormatter
      Since:
        2.5.0

    - #### public String getTimeString()

      Formats this date/time with the DateTimeFormatter.ISO_OFFSET_TIME formatter.

      Returns:
        a formatted String
      See Also:
        DateTimeFormatter
      Since:
        2.5.0

    - #### public OffsetDateTime minus(long seconds)

      Returns an OffsetDateTime that is `seconds` seconds before this date/time.

      Parameters:
        `seconds` - the number of seconds to subtract
      Returns:
        an OffsetDateTime
      Since:
        2.5.0

    - #### public OffsetDateTime next()

      Returns an OffsetDateTime one second after this date/time.

      Returns:
        an OffsetDateTime
      Since:
        2.5.0

    - #### public static OffsetDateTime parse(OffsetDateTime type, CharSequence text, String pattern)

      Parse text into an OffsetDateTime using the provided pattern.

      throws:
        java.lang.IllegalArgumentException if the pattern is invalid
      throws:
        java.time.format.DateTimeParseException if the text cannot be parsed
      Parameters:
        `type` - placeholder variable used by Groovy categories; ignored for default static methods
        `text` - String to be parsed to create the date instance
        `pattern` - pattern used to parse the text
      Returns:
        an OffsetDateTime representing the parsed text
      See Also:
        DateTimeFormatter
        OffsetDateTime.parse
      Since:
        2.5.0

    - #### public OffsetDateTime plus(long seconds)

      Returns an OffsetDateTime that is `seconds` seconds after this date/time.

      Parameters:
        `seconds` - the number of seconds to add
      Returns:
        an OffsetDateTime
      Since:
        2.5.0

    - #### public OffsetDateTime previous()

      Returns an OffsetDateTime one second before this date/time.

      Returns:
        an OffsetDateTime
      Since:
        2.5.0

    - #### public Calendar toCalendar()

      Returns a generally equivalent instance of Calendar. The time value of the returned calendar is truncated to milliseconds and the time zone is based on the offset of this date/time.

      Returns:
        a java.util.Calendar
      Since:
        2.5.0

    - #### public Date toDate()

      Returns a generally equivalent instance of Date. The time value of the returned date is truncated to milliseconds and will be adjusted to the current system default time zone.

      Returns:
        a java.util.Date
      Since:
        2.5.0